<?php
/**
 * Created by PhpStorm.
 * User: crose
 * Date: 1/28/16
 * Time: 8:05 AM
 */

namespace qfq;

require_once(__DIR__ . '/Sanatize.php');

class Support {

    /**
     * @param array $queryArray Empty or prefilled assoc array with url parameter
     */
    public static function appendTypo3ParameterToArray(array &$queryArray) {
        if (isset($_GET['id']))
            $queryArray['id'] = self::getCurrentPage();

        if (isset($_GET['L']))
            $queryArray['L'] = $_GET['L'];

        if (isset($_GET['type']))
            $queryArray['type'] = $_GET['type'];

    }

    /**
     * @return string If exist content of $_GET[], otherwise the name of the first GET Parameter
     * @throws CodeException
     */
    public static function getCurrentPage() {
        if (isset($_GET['id'])) {
            $page = $_GET['id'];
        } else {
            $page = explode('&', $_SERVER['QUERY_STRING'])[0];
            $page = explode('=', $page)[0];
        }
        return Sanatize::sanatize($page, SANATIZE_ALLOW_ALNUMX);
    }

    /**
     * Builds a urlencoded query string of an assoc array.
     *
     * @param array $queryArray
     * @return string Querystring (e.g.: id=23&type=99
     */
    public static function arrayToQueryString(array $queryArray) {
        $items = array();

        foreach ($queryArray as $key => $value) {
            if (is_int($key)) {
                $items[] = urlencode($value);
            } else {
                $items[] = $key . '=' . urlencode($value);
            }
        }

        return implode('&', $items);
    }

    /**
     * @throws CodeException
     */
    public static function log($text) {

        if (!is_writable(QFQ_LOG)) {
            throw new CodeException ("The file (" . dirname($_SERVER['SCRIPT_FILENAME']) . '/) ' . QFQ_LOG . " is not writable ()", ERROR_LOG_NOT_WRITABLE);
        }

        if (!$handle = fopen(QFQ_LOG, 'a')) {
            throw new CodeException ("Cannot open file to apped: " . QFQ_LOG, ERROR_LOG_NOT_WRITABLE);
        }

        if (fwrite($handle, $text . chr(10)) === FALSE) {
            throw new CodeException ("Cannot write to file: " . QFQ_LOG, ERROR_LOG_NOT_WRITABLE);
        }
        fclose($handle);
    }
}